=== modified file 'bzrlib/tests/workingtree_implementations/test_get_parent_ids.py'
--- bzrlib/tests/workingtree_implementations/test_get_parent_ids.py	2006-10-05 05:37:25 +0000
+++ bzrlib/tests/workingtree_implementations/test_get_parent_ids.py	2007-02-09 17:24:23 +0000
@@ -32,6 +32,8 @@
         self.assertEqual([rev2_id], t2.get_parent_ids())
         t.merge_from_branch(t2.branch)
         self.assertEqual([rev1_id, rev2_id], t.get_parent_ids())
+        for parent_id in t.get_parent_ids():
+            self.assertIsInstance(parent_id, str)
 
     def test_pending_merges(self):
         """Test the correspondence between set pending merges and get_parent_ids."""

=== modified file 'bzrlib/tests/workingtree_implementations/test_workingtree.py'
--- bzrlib/tests/workingtree_implementations/test_workingtree.py	2007-01-18 04:11:51 +0000
+++ bzrlib/tests/workingtree_implementations/test_workingtree.py	2007-02-09 17:24:23 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2005, 2006, 2007 Canonical Ltd
 # Authors:  Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify
@@ -269,7 +269,10 @@
         wt = self.make_branch_and_tree('source')
         self.assertEqual([], wt.get_parent_ids())
         wt.commit('A', allow_pointless=True, rev_id='A')
-        self.assertEqual(['A'], wt.get_parent_ids())
+        parent_ids = wt.get_parent_ids()
+        self.assertEqual(['A'], parent_ids)
+        for parent_id in parent_ids:
+            self.assertIsInstance(parent_id, str)
 
     def test_set_last_revision(self):
         wt = self.make_branch_and_tree('source')

=== modified file 'bzrlib/workingtree.py'
--- bzrlib/workingtree.py	2007-01-20 01:44:46 +0000
+++ bzrlib/workingtree.py	2007-02-09 17:24:23 +0000
@@ -503,7 +503,7 @@
         else:
             parents = [last_rev]
         try:
-            merges_file = self._control_files.get_utf8('pending-merges')
+            merges_file = self._control_files.get('pending-merges')
         except errors.NoSuchFile:
             pass
         else:
@@ -1955,7 +1955,7 @@
     def _last_revision(self):
         """See Mutable.last_revision."""
         try:
-            return self._control_files.get_utf8('last-revision').read()
+            return self._control_files.get('last-revision').read()
         except errors.NoSuchFile:
             return None
 

